Calculate Partition Functions of a Distance Based Partitioning
RNA Secondary Structure Prediction » Classified Dynamic Programming » Distance based partitioning of the Secondary Structure Space RNA Secondary Structure Prediction » | Computing Partition Functions and Pair Probabilities

Compute the partition function and stochastically sample secondary structures for a partitioning of the secondary structure space according to the base pair distance to two fixed reference structures. More...

Collaboration diagram for Calculate Partition Functions of a Distance Based Partitioning:

## Files

file | 2Dpfold.h

## Data Structures

struct | vrna_sol_TwoD_pf_t
| Solution element returned from vrna_pf_TwoD() More...

## Typedefs

typedef struct vrna_sol_TwoD_pf_t | vrna_sol_TwoD_pf_t
| Solution element returned from vrna_pf_TwoD() More...

## Functions

vrna_sol_TwoD_pf_t * | vrna_pf_TwoD (vrna_fold_compound_t *vc, int maxDistance1, int maxDistance2)
| Compute the partition function for all distance classes. More...

## Detailed Description

Compute the partition function and stochastically sample secondary structures for a partitioning of the secondary structure space according to the base pair distance to two fixed reference structures.

## Data Structure Documentation

struct vrna_sol_TwoD_pf_t

Solution element returned from vrna_pf_TwoD()

This element contains the partition function for the appropriate kappa (k), lambda (l) neighborhood The datastructure contains two integer attributes 'k' and 'l' as well as an attribute 'q' of type FLT_OR_DBL

A value of INF in k denotes the end of a list

See also
  vrna_pf_TwoD()

### Data Fields

int | k
| Distance to first reference.
int | l
| Distance to second reference.
FLT_OR_DBL | q
| partition function

## Typedef Documentation

typedef struct vrna_sol_TwoD_pf_t vrna_sol_TwoD_pf_t

`#include <ViennaRNA/2Dpfold.h>`

Solution element returned from vrna_pf_TwoD()

This element contains the partition function for the appropriate kappa (k), lambda (l) neighborhood The datastructure contains two integer attributes 'k' and 'l' as well as an attribute 'q' of type FLT_OR_DBL

A value of INF in k denotes the end of a list

See also
  vrna_pf_TwoD()

## Function Documentation

vrna_sol_TwoD_pf_t* vrna_pf_TwoD | ( | vrna_fold_compound_t * | vc,
|  | int | maxDistance1,
|  | int | maxDistance2
| ) |  |

`#include <ViennaRNA/2Dpfold.h>`

Compute the partition function for all distance classes.

This function computes the partition functions for all distance classes according the two reference structures specified in the datastructure 'vars'. Similar to vrna_mfe_TwoD() the arguments maxDistance1 and maxDistance2 specify the maximum distance to both reference structures. A value of '-1' in either of them makes the appropriate distance restrictionless, i.e. all basepair distancies to the reference are taken into account during computation. In case there is a restriction, the returned solution contains an entry where the attribute k=l=-1 contains the partition function for all structures exceeding the restriction. A value of INF in the attribute 'k' of the returned list denotes the end of the list

See also
  vrna_fold_compound_TwoD(), vrna_fold_compound_free(), vrna_fold_compound vrna_sol_TwoD_pf_t

Parameters

  vc | The datastructure containing all necessary folding attributes and matrices
  maxDistance1 | The maximum basepair distance to reference1 (may be -1)
  maxDistance2 | The maximum basepair distance to reference2 (may be -1)

Returns
  A list of partition funtions for the corresponding distance classes